minetest(6)

NAME
minetest, minetestserver - Multiplayer infinite-world block sandbox

SYNOPSIS
minetest [--server SERVER OPTIONS | CLIENT OPTIONS] [COMMON OPTIONS] [WORLD PATH] minetestserver [SERVER OPTIONS] [COMMON OPTIONS] [WORLD PATH]

DESCRIPTION
Minetest is one of the first InfiniMiner/Minecraft(/whatever) inspired games (started October 2010), with a goal of taking the survival multiplayer gameplay to a slightly different direction.

The main design philosophy is to keep it technically simple, stable and portable. It will be kept lightweight enough to run on fairly old hardware.

COMMON OPTIONS

--help
    Print allowed options and exit

--version
    Print version information and exit

--config <value>
    Load configuration from specified file

--logfile <value>
    Set logfile path (debug.txt)

--info
    Print more information to console

--verbose
    Print even more information to console

--trace
    Print enormous amounts of information to console

--gameid <value>
    Set gameid

--worldname <value>
    Set world path by name

--world <value> | list
    Set world path or list worlds

--map-dir <value>
    Same as --world (deprecated)

--port <value>
    Set network port (UDP) to use

--run-unittests
    Run unit tests and exit

CLIENT OPTIONS

--address <value>
    Address to connect to

--go
    Disable main menu

--name <value>
    Set player name

--password <value>
    Set password

--random-input
    Enable random user input, for testing (client only)

--videomodes
    List available video modes (client only)

--speedtests
    Run speed tests

SERVER OPTIONS

--migrate <value>
    Migrate from current map backend to another. Possible values are sqlite3, leveldb, redis, and dummy.

--terminal
    Display an interactive terminal over ncurses during execution.

ENVIRONMENT

MINETEST_SUBGAME_PATH
    Colon delimited list of directories to search for subgames.

BUGS
Please report all bugs to Perttu Ahola <celeron55@gmail.com>.

AUTHOR

Perttu Ahola <celeron55@gmail.com> and contributors.

This man page was originally written by Juhani Numminen <juhaninumminen0@gmail.com>.

WWW
http://www.minetest.net/